Jump to content

tahseen

Members
  • Content count

    1
  • Joined

  • Last visited

About tahseen

  • Rank
    InsanelyMac Protégé
  1. I installed iAtkos s3 v2 on my Dell Vostro 1014 machine After that I did an upgrade and now running version 10.6.7 I copied the Install Lion App in the Application folder but when I run it, it says cannot run with this verion of Mac OSX But then Lion's requirement is 10.6+ OS Can it be because am running i386 version of Mac OSX?
×